# Get Language Identification Job By Id Returns information about a language identification job. Endpoint: GET /languageid/v1/jobs/{id} Version: v1 Security: AccessToken ## Path parameters: - `id` (string, required) Rev AI API Job Id ## Response 200 fields (application/json): - `id` (string) Id of the job. Example: "Umx5c6F7pH7r" - `created_on` (string) The date and time the job was created in ISO-8601 UTC form. Example: "2018-05-05T23:23:22.29Z" - `completed_on` (string,null) The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form. Example: "2018-05-05T23:28:22.29Z" - `metadata` (string,null) Optional metadata that was provided during job submission. - `failure_detail` (string,null) Human-readable reason why the job failed. Example: "Internal server error." - `delete_after_seconds` (integer,null) Amount of time after job completion when job is auto-deleted. Present only when preference set in job request. - `status` (string) Current status of the job. Enum: "in_progress", "completed", "failed" - `failure` (string) Simple reason of why the job failed. Check failure_detail for specific details and solutions. Enum: "internal_processing", "insufficient_balance", "invoicing_limit_exceeded" - `type` (string) The type of action performed, in this case language_id Enum: "language_id" - `processed_duration_seconds` (number,null) Duration of the processed audio in seconds. Null if the job has not completed Example: 107 - `callback_url` (string,null) Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored. Example: "https://www.example.com/callback" - `media_url` (string) [HIPAA unsupported] Deprecated. Use source_config instead. Direct download media url. If this parameter is used to pass in the media url, the media url will be visible in the response. It is recommended to use the source_config parameter instead, as authorization headers can be included and both the source url and auth headers will be encrypted when stored. ## Response 401 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `status` (integer) HTTP status code of the error ## Response 403 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error ## Response 404 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error